%define		_class		HTTP
%define		_subclass	Client
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	1.2.1
Release:	%mkrel 11
Summary:	Easy way to perform multiple HTTP requests
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/HTTP_Client/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
This class provides an easy way to perform multiple HTTP requests and
process their resulsts.
Features:
- manage cookies and referrers between requests
- handles HTTP redirection
- has methods to set default headers and request parameters
- implements the Subject-Observer design pattern: the base class sends
  events to listeners that do the response processing

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/examples
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 17 2016 luigiwalser <luigiwalser> 1.2.1-11.mga6
+ Revision: 964600
- fix file list the correct way

* Wed Feb 17 2016 umeabot <umeabot> 1.2.1-10.mga6
+ Revision: 964527
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-9.mga5
+ Revision: 750523
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-8.mga5
+ Revision: 687291
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-7.mga4
+ Revision: 516826
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.1-6.mga3
+ Revision: 376319
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 spuhler <spuhler> 1.2.1-5.mga1
+ Revision: 42583
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTTP_Client

